#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* Comp_Reference_viDAC8 */
#define Comp_Reference_viDAC8__CR0 CYREG_DAC0_CR0
#define Comp_Reference_viDAC8__CR1 CYREG_DAC0_CR1
#define Comp_Reference_viDAC8__D CYREG_DAC0_D
#define Comp_Reference_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define Comp_Reference_viDAC8__PM_ACT_MSK 0x01u
#define Comp_Reference_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define Comp_Reference_viDAC8__PM_STBY_MSK 0x01u
#define Comp_Reference_viDAC8__STROBE CYREG_DAC0_STROBE
#define Comp_Reference_viDAC8__SW0 CYREG_DAC0_SW0
#define Comp_Reference_viDAC8__SW2 CYREG_DAC0_SW2
#define Comp_Reference_viDAC8__SW3 CYREG_DAC0_SW3
#define Comp_Reference_viDAC8__SW4 CYREG_DAC0_SW4
#define Comp_Reference_viDAC8__TR CYREG_DAC0_TR
#define Comp_Reference_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC0_M1
#define Comp_Reference_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC0_M2
#define Comp_Reference_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC0_M3
#define Comp_Reference_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC0_M4
#define Comp_Reference_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC0_M5
#define Comp_Reference_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC0_M6
#define Comp_Reference_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC0_M7
#define Comp_Reference_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC0_M8
#define Comp_Reference_viDAC8__TST CYREG_DAC0_TST

/* Sensor_output_signal */
#define Sensor_output_signal__0__MASK 0x02u
#define Sensor_output_signal__0__PC CYREG_PRT0_PC1
#define Sensor_output_signal__0__PORT 0
#define Sensor_output_signal__0__SHIFT 1
#define Sensor_output_signal__AG CYREG_PRT0_AG
#define Sensor_output_signal__AMUX CYREG_PRT0_AMUX
#define Sensor_output_signal__BIE CYREG_PRT0_BIE
#define Sensor_output_signal__BIT_MASK CYREG_PRT0_BIT_MASK
#define Sensor_output_signal__BYP CYREG_PRT0_BYP
#define Sensor_output_signal__CTL CYREG_PRT0_CTL
#define Sensor_output_signal__DM0 CYREG_PRT0_DM0
#define Sensor_output_signal__DM1 CYREG_PRT0_DM1
#define Sensor_output_signal__DM2 CYREG_PRT0_DM2
#define Sensor_output_signal__DR CYREG_PRT0_DR
#define Sensor_output_signal__INP_DIS CYREG_PRT0_INP_DIS
#define Sensor_output_signal__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Sensor_output_signal__LCD_EN CYREG_PRT0_LCD_EN
#define Sensor_output_signal__PORT 0
#define Sensor_output_signal__PRT CYREG_PRT0_PRT
#define Sensor_output_signal__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Sensor_output_signal__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Sensor_output_signal__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Sensor_output_signal__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Sensor_output_signal__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Sensor_output_signal__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Sensor_output_signal__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Sensor_output_signal__PS CYREG_PRT0_PS
#define Sensor_output_signal__SLW CYREG_PRT0_SLW

/* LCD_Display_LCDPort */
#define LCD_Display_LCDPort__0__MASK 0x01u
#define LCD_Display_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_Display_LCDPort__0__PORT 2
#define LCD_Display_LCDPort__0__SHIFT 0
#define LCD_Display_LCDPort__1__MASK 0x02u
#define LCD_Display_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_Display_LCDPort__1__PORT 2
#define LCD_Display_LCDPort__1__SHIFT 1
#define LCD_Display_LCDPort__2__MASK 0x04u
#define LCD_Display_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_Display_LCDPort__2__PORT 2
#define LCD_Display_LCDPort__2__SHIFT 2
#define LCD_Display_LCDPort__3__MASK 0x08u
#define LCD_Display_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_Display_LCDPort__3__PORT 2
#define LCD_Display_LCDPort__3__SHIFT 3
#define LCD_Display_LCDPort__4__MASK 0x10u
#define LCD_Display_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_Display_LCDPort__4__PORT 2
#define LCD_Display_LCDPort__4__SHIFT 4
#define LCD_Display_LCDPort__5__MASK 0x20u
#define LCD_Display_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_Display_LCDPort__5__PORT 2
#define LCD_Display_LCDPort__5__SHIFT 5
#define LCD_Display_LCDPort__6__MASK 0x40u
#define LCD_Display_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_Display_LCDPort__6__PORT 2
#define LCD_Display_LCDPort__6__SHIFT 6
#define LCD_Display_LCDPort__AG CYREG_PRT2_AG
#define LCD_Display_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_Display_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_Display_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_Display_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_Display_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_Display_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_Display_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_Display_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_Display_LCDPort__DR CYREG_PRT2_DR
#define LCD_Display_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_Display_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_Display_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_Display_LCDPort__MASK 0x7Fu
#define LCD_Display_LCDPort__PORT 2
#define LCD_Display_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_Display_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_Display_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_Display_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_Display_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_Display_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_Display_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_Display_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_Display_LCDPort__PS CYREG_PRT2_PS
#define LCD_Display_LCDPort__SHIFT 0
#define LCD_Display_LCDPort__SLW CYREG_PRT2_SLW

/* Output_drive_viDAC8 */
#define Output_drive_viDAC8__CR0 CYREG_DAC2_CR0
#define Output_drive_viDAC8__CR1 CYREG_DAC2_CR1
#define Output_drive_viDAC8__D CYREG_DAC2_D
#define Output_drive_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define Output_drive_viDAC8__PM_ACT_MSK 0x04u
#define Output_drive_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define Output_drive_viDAC8__PM_STBY_MSK 0x04u
#define Output_drive_viDAC8__STROBE CYREG_DAC2_STROBE
#define Output_drive_viDAC8__SW0 CYREG_DAC2_SW0
#define Output_drive_viDAC8__SW2 CYREG_DAC2_SW2
#define Output_drive_viDAC8__SW3 CYREG_DAC2_SW3
#define Output_drive_viDAC8__SW4 CYREG_DAC2_SW4
#define Output_drive_viDAC8__TR CYREG_DAC2_TR
#define Output_drive_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC2_M1
#define Output_drive_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC2_M2
#define Output_drive_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC2_M3
#define Output_drive_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC2_M4
#define Output_drive_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC2_M5
#define Output_drive_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC2_M6
#define Output_drive_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC2_M7
#define Output_drive_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC2_M8
#define Output_drive_viDAC8__TST CYREG_DAC2_TST

/* Coil_output_signal */
#define Coil_output_signal__0__MASK 0x04u
#define Coil_output_signal__0__PC CYREG_PRT0_PC2
#define Coil_output_signal__0__PORT 0
#define Coil_output_signal__0__SHIFT 2
#define Coil_output_signal__AG CYREG_PRT0_AG
#define Coil_output_signal__AMUX CYREG_PRT0_AMUX
#define Coil_output_signal__BIE CYREG_PRT0_BIE
#define Coil_output_signal__BIT_MASK CYREG_PRT0_BIT_MASK
#define Coil_output_signal__BYP CYREG_PRT0_BYP
#define Coil_output_signal__CTL CYREG_PRT0_CTL
#define Coil_output_signal__DM0 CYREG_PRT0_DM0
#define Coil_output_signal__DM1 CYREG_PRT0_DM1
#define Coil_output_signal__DM2 CYREG_PRT0_DM2
#define Coil_output_signal__DR CYREG_PRT0_DR
#define Coil_output_signal__INP_DIS CYREG_PRT0_INP_DIS
#define Coil_output_signal__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Coil_output_signal__LCD_EN CYREG_PRT0_LCD_EN
#define Coil_output_signal__PORT 0
#define Coil_output_signal__PRT CYREG_PRT0_PRT
#define Coil_output_signal__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Coil_output_signal__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Coil_output_signal__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Coil_output_signal__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Coil_output_signal__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Coil_output_signal__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Coil_output_signal__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Coil_output_signal__PS CYREG_PRT0_PS
#define Coil_output_signal__SLW CYREG_PRT0_SLW

/* Counter_CounterUDB */
#define Counter_CounterUDB_sC16_counterdp_u0__16BIT_A0_REG CYREG_B0_UDB03_04_A0
#define Counter_CounterUDB_sC16_counterdp_u0__16BIT_A1_REG CYREG_B0_UDB03_04_A1
#define Counter_CounterUDB_sC16_counterdp_u0__16BIT_D0_REG CYREG_B0_UDB03_04_D0
#define Counter_CounterUDB_sC16_counterdp_u0__16BIT_D1_REG CYREG_B0_UDB03_04_D1
#define Counter_CounterUDB_sC16_counterdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB03_04_ACTL
#define Counter_CounterUDB_sC16_counterdp_u0__16BIT_F0_REG CYREG_B0_UDB03_04_F0
#define Counter_CounterUDB_sC16_counterdp_u0__16BIT_F1_REG CYREG_B0_UDB03_04_F1
#define Counter_CounterUDB_sC16_counterdp_u0__A0_A1_REG CYREG_B0_UDB03_A0_A1
#define Counter_CounterUDB_sC16_counterdp_u0__A0_REG CYREG_B0_UDB03_A0
#define Counter_CounterUDB_sC16_counterdp_u0__A1_REG CYREG_B0_UDB03_A1
#define Counter_CounterUDB_sC16_counterdp_u0__D0_D1_REG CYREG_B0_UDB03_D0_D1
#define Counter_CounterUDB_sC16_counterdp_u0__D0_REG CYREG_B0_UDB03_D0
#define Counter_CounterUDB_sC16_counterdp_u0__D1_REG CYREG_B0_UDB03_D1
#define Counter_CounterUDB_sC16_counterdp_u0__DP_AUX_CTL_REG CYREG_B0_UDB03_ACTL
#define Counter_CounterUDB_sC16_counterdp_u0__F0_F1_REG CYREG_B0_UDB03_F0_F1
#define Counter_CounterUDB_sC16_counterdp_u0__F0_REG CYREG_B0_UDB03_F0
#define Counter_CounterUDB_sC16_counterdp_u0__F1_REG CYREG_B0_UDB03_F1
#define Counter_CounterUDB_sC16_counterdp_u1__16BIT_A0_REG CYREG_B0_UDB04_05_A0
#define Counter_CounterUDB_sC16_counterdp_u1__16BIT_A1_REG CYREG_B0_UDB04_05_A1
#define Counter_CounterUDB_sC16_counterdp_u1__16BIT_D0_REG CYREG_B0_UDB04_05_D0
#define Counter_CounterUDB_sC16_counterdp_u1__16BIT_D1_REG CYREG_B0_UDB04_05_D1
#define Counter_CounterUDB_sC16_counterdp_u1__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB04_05_ACTL
#define Counter_CounterUDB_sC16_counterdp_u1__16BIT_F0_REG CYREG_B0_UDB04_05_F0
#define Counter_CounterUDB_sC16_counterdp_u1__16BIT_F1_REG CYREG_B0_UDB04_05_F1
#define Counter_CounterUDB_sC16_counterdp_u1__A0_A1_REG CYREG_B0_UDB04_A0_A1
#define Counter_CounterUDB_sC16_counterdp_u1__A0_REG CYREG_B0_UDB04_A0
#define Counter_CounterUDB_sC16_counterdp_u1__A1_REG CYREG_B0_UDB04_A1
#define Counter_CounterUDB_sC16_counterdp_u1__D0_D1_REG CYREG_B0_UDB04_D0_D1
#define Counter_CounterUDB_sC16_counterdp_u1__D0_REG CYREG_B0_UDB04_D0
#define Counter_CounterUDB_sC16_counterdp_u1__D1_REG CYREG_B0_UDB04_D1
#define Counter_CounterUDB_sC16_counterdp_u1__DP_AUX_CTL_REG CYREG_B0_UDB04_ACTL
#define Counter_CounterUDB_sC16_counterdp_u1__F0_F1_REG CYREG_B0_UDB04_F0_F1
#define Counter_CounterUDB_sC16_counterdp_u1__F0_REG CYREG_B0_UDB04_F0
#define Counter_CounterUDB_sC16_counterdp_u1__F1_REG CYREG_B0_UDB04_F1
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__0__MASK 0x01u
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__0__POS 0
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB04_05_ACTL
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__16BIT_STATUS_REG CYREG_B0_UDB04_05_ST
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__1__MASK 0x02u
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__1__POS 1
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__2__MASK 0x04u
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__2__POS 2
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__4__MASK 0x10u
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__4__POS 4
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__5__MASK 0x20u
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__5__POS 5
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__6__MASK 0x40u
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__6__POS 6
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__MASK 0x77u
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__MASK_REG CYREG_B0_UDB04_MSK
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__STATUS_AUX_CTL_REG CYREG_B0_UDB04_ACTL
#define Counter_CounterUDB_sSTSReg_rstSts_stsreg__STATUS_REG CYREG_B0_UDB04_ST

/* SCP_Timeout_PWMUDB */
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB09_10_ACTL
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB09_10_CTL
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB09_10_CTL
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB09_10_CTL
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB09_10_CTL
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_MASK_MASK_REG CYREG_B0_UDB09_10_MSK
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB09_10_MSK
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB09_10_MSK
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB09_10_MSK
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__7__MASK 0x80u
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__7__POS 7
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B0_UDB09_ACTL
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_REG CYREG_B0_UDB09_CTL
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_ST_REG CYREG_B0_UDB09_ST_CTL
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_REG CYREG_B0_UDB09_CTL
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_ST_REG CYREG_B0_UDB09_ST_CTL
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__MASK 0x80u
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB09_MSK_ACTL
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__PERIOD_REG CYREG_B0_UDB09_MSK
#define SCP_Timeout_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB09_MSK_ACTL
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__16BIT_A0_REG CYREG_B0_UDB09_10_A0
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__16BIT_A1_REG CYREG_B0_UDB09_10_A1
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__16BIT_D0_REG CYREG_B0_UDB09_10_D0
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__16BIT_D1_REG CYREG_B0_UDB09_10_D1
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB09_10_ACTL
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__16BIT_F0_REG CYREG_B0_UDB09_10_F0
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__16BIT_F1_REG CYREG_B0_UDB09_10_F1
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__A0_A1_REG CYREG_B0_UDB09_A0_A1
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__A0_REG CYREG_B0_UDB09_A0
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__A1_REG CYREG_B0_UDB09_A1
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__D0_D1_REG CYREG_B0_UDB09_D0_D1
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__D0_REG CYREG_B0_UDB09_D0
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__D1_REG CYREG_B0_UDB09_D1
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__DP_AUX_CTL_REG CYREG_B0_UDB09_ACTL
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__F0_F1_REG CYREG_B0_UDB09_F0_F1
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__F0_REG CYREG_B0_UDB09_F0
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__F1_REG CYREG_B0_UDB09_F1
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__MSK_DP_AUX_CTL_REG CYREG_B0_UDB09_MSK_ACTL
#define SCP_Timeout_PWMUDB_sP8_pwmdp_u0__PER_DP_AUX_CTL_REG CYREG_B0_UDB09_MSK_ACTL
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__0__MASK 0x01u
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__0__POS 0
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB09_10_ACTL
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__16BIT_STATUS_REG CYREG_B0_UDB09_10_ST
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__2__MASK 0x04u
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__2__POS 2
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__3__MASK 0x08u
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__3__POS 3
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__5__MASK 0x20u
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__5__POS 5
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__MASK 0x2Du
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__MASK_REG CYREG_B0_UDB09_MSK
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__MASK_ST_AUX_CTL_REG CYREG_B0_UDB09_MSK_ACTL
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__PER_ST_AUX_CTL_REG CYREG_B0_UDB09_MSK_ACTL
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_AUX_CTL_REG CYREG_B0_UDB09_ACTL
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_CNT_REG CYREG_B0_UDB09_ST_CTL
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_CONTROL_REG CYREG_B0_UDB09_ST_CTL
#define SCP_Timeout_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_REG CYREG_B0_UDB09_ST

/* Output_Opamp_ABuf */
#define Output_Opamp_ABuf__CR CYREG_OPAMP0_CR
#define Output_Opamp_ABuf__MX CYREG_OPAMP0_MX
#define Output_Opamp_ABuf__NPUMP_OPAMP_TR0 CYREG_NPUMP_OPAMP_TR0
#define Output_Opamp_ABuf__PM_ACT_CFG CYREG_PM_ACT_CFG4
#define Output_Opamp_ABuf__PM_ACT_MSK 0x01u
#define Output_Opamp_ABuf__PM_STBY_CFG CYREG_PM_STBY_CFG4
#define Output_Opamp_ABuf__PM_STBY_MSK 0x01u
#define Output_Opamp_ABuf__RSVD CYREG_OPAMP0_RSVD
#define Output_Opamp_ABuf__SW CYREG_OPAMP0_SW
#define Output_Opamp_ABuf__TR0 CYREG_OPAMP0_TR0
#define Output_Opamp_ABuf__TR1 CYREG_OPAMP0_TR1

/* PWM_Window_PWMUDB */
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB07_08_ACTL
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB07_08_CTL
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB07_08_CTL
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB07_08_CTL
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB07_08_CTL
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_MASK_MASK_REG CYREG_B0_UDB07_08_MSK
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB07_08_MSK
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB07_08_MSK
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB07_08_MSK
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__7__MASK 0x80u
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__7__POS 7
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B0_UDB07_ACTL
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_REG CYREG_B0_UDB07_CTL
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_ST_REG CYREG_B0_UDB07_ST_CTL
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_REG CYREG_B0_UDB07_CTL
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_ST_REG CYREG_B0_UDB07_ST_CTL
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__MASK 0x80u
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__PERIOD_REG CYREG_B0_UDB07_MSK
#define PWM_Window_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__16BIT_A0_REG CYREG_B0_UDB06_07_A0
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__16BIT_A1_REG CYREG_B0_UDB06_07_A1
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__16BIT_D0_REG CYREG_B0_UDB06_07_D0
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__16BIT_D1_REG CYREG_B0_UDB06_07_D1
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB06_07_ACTL
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__16BIT_F0_REG CYREG_B0_UDB06_07_F0
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__16BIT_F1_REG CYREG_B0_UDB06_07_F1
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__A0_A1_REG CYREG_B0_UDB06_A0_A1
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__A0_REG CYREG_B0_UDB06_A0
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__A1_REG CYREG_B0_UDB06_A1
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__D0_D1_REG CYREG_B0_UDB06_D0_D1
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__D0_REG CYREG_B0_UDB06_D0
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__D1_REG CYREG_B0_UDB06_D1
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__DP_AUX_CTL_REG CYREG_B0_UDB06_ACTL
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__F0_F1_REG CYREG_B0_UDB06_F0_F1
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__F0_REG CYREG_B0_UDB06_F0
#define PWM_Window_PWMUDB_sP16_pwmdp_u0__F1_REG CYREG_B0_UDB06_F1
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__16BIT_A0_REG CYREG_B0_UDB07_08_A0
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__16BIT_A1_REG CYREG_B0_UDB07_08_A1
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__16BIT_D0_REG CYREG_B0_UDB07_08_D0
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__16BIT_D1_REG CYREG_B0_UDB07_08_D1
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB07_08_ACTL
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__16BIT_F0_REG CYREG_B0_UDB07_08_F0
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__16BIT_F1_REG CYREG_B0_UDB07_08_F1
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__A0_A1_REG CYREG_B0_UDB07_A0_A1
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__A0_REG CYREG_B0_UDB07_A0
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__A1_REG CYREG_B0_UDB07_A1
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__D0_D1_REG CYREG_B0_UDB07_D0_D1
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__D0_REG CYREG_B0_UDB07_D0
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__D1_REG CYREG_B0_UDB07_D1
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__DP_AUX_CTL_REG CYREG_B0_UDB07_ACTL
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__F0_F1_REG CYREG_B0_UDB07_F0_F1
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__F0_REG CYREG_B0_UDB07_F0
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__F1_REG CYREG_B0_UDB07_F1
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__MSK_DP_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define PWM_Window_PWMUDB_sP16_pwmdp_u1__PER_DP_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__0__MASK 0x01u
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__0__POS 0
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB07_08_ACTL
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__16BIT_STATUS_REG CYREG_B0_UDB07_08_ST
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__2__MASK 0x04u
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__2__POS 2
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__3__MASK 0x08u
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__3__POS 3
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__5__MASK 0x20u
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__5__POS 5
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__MASK 0x2Du
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__MASK_REG CYREG_B0_UDB07_MSK
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__MASK_ST_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__PER_ST_AUX_CTL_REG CYREG_B0_UDB07_MSK_ACTL
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_AUX_CTL_REG CYREG_B0_UDB07_ACTL
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_CNT_REG CYREG_B0_UDB07_ST_CTL
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_CONTROL_REG CYREG_B0_UDB07_ST_CTL
#define PWM_Window_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_REG CYREG_B0_UDB07_ST

/* SCP_Timer_PWMUDB */
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB07_08_CTL
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB07_08_CTL
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB07_08_CTL
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB07_08_CTL
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_MASK_MASK_REG CYREG_B1_UDB07_08_MSK
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB07_08_MSK
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB07_08_MSK
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB07_08_MSK
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__7__MASK 0x80u
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__7__POS 7
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_REG CYREG_B1_UDB07_CTL
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_ST_REG CYREG_B1_UDB07_ST_CTL
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_REG CYREG_B1_UDB07_CTL
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_ST_REG CYREG_B1_UDB07_ST_CTL
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__MASK 0x80u
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__PERIOD_REG CYREG_B1_UDB07_MSK
#define SCP_Timer_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__16BIT_A0_REG CYREG_B1_UDB07_08_A0
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__16BIT_A1_REG CYREG_B1_UDB07_08_A1
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__16BIT_D0_REG CYREG_B1_UDB07_08_D0
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__16BIT_D1_REG CYREG_B1_UDB07_08_D1
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__16BIT_F0_REG CYREG_B1_UDB07_08_F0
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__16BIT_F1_REG CYREG_B1_UDB07_08_F1
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__A0_A1_REG CYREG_B1_UDB07_A0_A1
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__A0_REG CYREG_B1_UDB07_A0
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__A1_REG CYREG_B1_UDB07_A1
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__D0_D1_REG CYREG_B1_UDB07_D0_D1
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__D0_REG CYREG_B1_UDB07_D0
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__D1_REG CYREG_B1_UDB07_D1
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__DP_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__F0_F1_REG CYREG_B1_UDB07_F0_F1
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__F0_REG CYREG_B1_UDB07_F0
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__F1_REG CYREG_B1_UDB07_F1
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__MSK_DP_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define SCP_Timer_PWMUDB_sP8_pwmdp_u0__PER_DP_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__0__MASK 0x01u
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__0__POS 0
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__16BIT_STATUS_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__16BIT_STATUS_REG CYREG_B1_UDB07_08_ST
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__1__MASK 0x02u
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__1__POS 1
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__2__MASK 0x04u
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__2__POS 2
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__3__MASK 0x08u
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__3__POS 3
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__5__MASK 0x20u
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__5__POS 5
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__MASK 0x2Fu
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__MASK_REG CYREG_B1_UDB07_MSK
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__MASK_ST_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__PER_ST_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_CNT_REG CYREG_B1_UDB07_ST_CTL
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_CONTROL_REG CYREG_B1_UDB07_ST_CTL
#define SCP_Timer_PWMUDB_sSTSReg_rstSts_stsreg__STATUS_REG CYREG_B1_UDB07_ST

/* Coil_ping_pulse */
#define Coil_ping_pulse__0__MASK 0x01u
#define Coil_ping_pulse__0__PC CYREG_PRT3_PC0
#define Coil_ping_pulse__0__PORT 3
#define Coil_ping_pulse__0__SHIFT 0
#define Coil_ping_pulse__AG CYREG_PRT3_AG
#define Coil_ping_pulse__AMUX CYREG_PRT3_AMUX
#define Coil_ping_pulse__BIE CYREG_PRT3_BIE
#define Coil_ping_pulse__BIT_MASK CYREG_PRT3_BIT_MASK
#define Coil_ping_pulse__BYP CYREG_PRT3_BYP
#define Coil_ping_pulse__CTL CYREG_PRT3_CTL
#define Coil_ping_pulse__DM0 CYREG_PRT3_DM0
#define Coil_ping_pulse__DM1 CYREG_PRT3_DM1
#define Coil_ping_pulse__DM2 CYREG_PRT3_DM2
#define Coil_ping_pulse__DR CYREG_PRT3_DR
#define Coil_ping_pulse__INP_DIS CYREG_PRT3_INP_DIS
#define Coil_ping_pulse__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define Coil_ping_pulse__LCD_EN CYREG_PRT3_LCD_EN
#define Coil_ping_pulse__MASK 0x01u
#define Coil_ping_pulse__PORT 3
#define Coil_ping_pulse__PRT CYREG_PRT3_PRT
#define Coil_ping_pulse__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define Coil_ping_pulse__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define Coil_ping_pulse__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define Coil_ping_pulse__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define Coil_ping_pulse__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define Coil_ping_pulse__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define Coil_ping_pulse__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define Coil_ping_pulse__PS CYREG_PRT3_PS
#define Coil_ping_pulse__SHIFT 0
#define Coil_ping_pulse__SLW CYREG_PRT3_SLW

/* Comp_1_ctComp */
#define Comp_1_ctComp__CLK CYREG_CMP0_CLK
#define Comp_1_ctComp__CMP_MASK 0x01u
#define Comp_1_ctComp__CMP_NUMBER 0
#define Comp_1_ctComp__CR CYREG_CMP0_CR
#define Comp_1_ctComp__LUT__CR CYREG_LUT0_CR
#define Comp_1_ctComp__LUT__MSK CYREG_LUT_MSK
#define Comp_1_ctComp__LUT__MSK_MASK 0x01u
#define Comp_1_ctComp__LUT__MSK_SHIFT 0
#define Comp_1_ctComp__LUT__MX CYREG_LUT0_MX
#define Comp_1_ctComp__LUT__SR CYREG_LUT_SR
#define Comp_1_ctComp__LUT__SR_MASK 0x01u
#define Comp_1_ctComp__LUT__SR_SHIFT 0
#define Comp_1_ctComp__PM_ACT_CFG CYREG_PM_ACT_CFG7
#define Comp_1_ctComp__PM_ACT_MSK 0x01u
#define Comp_1_ctComp__PM_STBY_CFG CYREG_PM_STBY_CFG7
#define Comp_1_ctComp__PM_STBY_MSK 0x01u
#define Comp_1_ctComp__SW0 CYREG_CMP0_SW0
#define Comp_1_ctComp__SW2 CYREG_CMP0_SW2
#define Comp_1_ctComp__SW3 CYREG_CMP0_SW3
#define Comp_1_ctComp__SW4 CYREG_CMP0_SW4
#define Comp_1_ctComp__SW6 CYREG_CMP0_SW6
#define Comp_1_ctComp__TR0 CYREG_CMP0_TR0
#define Comp_1_ctComp__TR1 CYREG_CMP0_TR1
#define Comp_1_ctComp__TRIM__TR0 CYREG_FLSHID_MFG_CFG_CMP0_TR0
#define Comp_1_ctComp__TRIM__TR0_HS CYREG_FLSHID_CUST_TABLES_CMP0_TR0_HS
#define Comp_1_ctComp__TRIM__TR1 CYREG_FLSHID_MFG_CFG_CMP0_TR1
#define Comp_1_ctComp__TRIM__TR1_HS CYREG_FLSHID_CUST_TABLES_CMP0_TR1_HS
#define Comp_1_ctComp__WRK CYREG_CMP_WRK
#define Comp_1_ctComp__WRK_MASK 0x01u
#define Comp_1_ctComp__WRK_SHIFT 0

/* Comp_ctComp */
#define Comp_ctComp__CLK CYREG_CMP2_CLK
#define Comp_ctComp__CMP_MASK 0x04u
#define Comp_ctComp__CMP_NUMBER 2
#define Comp_ctComp__CR CYREG_CMP2_CR
#define Comp_ctComp__LUT__CR CYREG_LUT2_CR
#define Comp_ctComp__LUT__MSK CYREG_LUT_MSK
#define Comp_ctComp__LUT__MSK_MASK 0x04u
#define Comp_ctComp__LUT__MSK_SHIFT 2
#define Comp_ctComp__LUT__MX CYREG_LUT2_MX
#define Comp_ctComp__LUT__SR CYREG_LUT_SR
#define Comp_ctComp__LUT__SR_MASK 0x04u
#define Comp_ctComp__LUT__SR_SHIFT 2
#define Comp_ctComp__PM_ACT_CFG CYREG_PM_ACT_CFG7
#define Comp_ctComp__PM_ACT_MSK 0x04u
#define Comp_ctComp__PM_STBY_CFG CYREG_PM_STBY_CFG7
#define Comp_ctComp__PM_STBY_MSK 0x04u
#define Comp_ctComp__SW0 CYREG_CMP2_SW0
#define Comp_ctComp__SW2 CYREG_CMP2_SW2
#define Comp_ctComp__SW3 CYREG_CMP2_SW3
#define Comp_ctComp__SW4 CYREG_CMP2_SW4
#define Comp_ctComp__SW6 CYREG_CMP2_SW6
#define Comp_ctComp__TR0 CYREG_CMP2_TR0
#define Comp_ctComp__TR1 CYREG_CMP2_TR1
#define Comp_ctComp__TRIM__TR0 CYREG_FLSHID_MFG_CFG_CMP2_TR0
#define Comp_ctComp__TRIM__TR0_HS CYREG_FLSHID_CUST_TABLES_CMP2_TR0_HS
#define Comp_ctComp__TRIM__TR1 CYREG_FLSHID_MFG_CFG_CMP2_TR1
#define Comp_ctComp__TRIM__TR1_HS CYREG_FLSHID_CUST_TABLES_CMP2_TR1_HS
#define Comp_ctComp__WRK CYREG_CMP_WRK
#define Comp_ctComp__WRK_MASK 0x04u
#define Comp_ctComp__WRK_SHIFT 2

/* ISR_Compare */
#define ISR_Compare__ES2_PATCH 0
#define ISR_Compare__INTC_CLR_EN_REG CYREG_INTC_CLR_EN2
#define ISR_Compare__INTC_CLR_PD_REG CYREG_INTC_CLR_PD2
#define ISR_Compare__INTC_MASK 0x40u
#define ISR_Compare__INTC_NUMBER 22
#define ISR_Compare__INTC_PRIOR_NUM 7
#define ISR_Compare__INTC_PRIOR_REG CYREG_INTC_PRIOR22
#define ISR_Compare__INTC_SET_EN_REG CYREG_INTC_SET_EN2
#define ISR_Compare__INTC_SET_PD_REG CYREG_INTC_SET_PD2
#define ISR_Compare__INTC_VECT (CYREG_INTC_VECT_MBASE+0x2Cu)

/* SCP_input */
#define SCP_input__0__MASK 0x08u
#define SCP_input__0__PC CYREG_PRT4_PC3
#define SCP_input__0__PORT 4
#define SCP_input__0__SHIFT 3
#define SCP_input__AG CYREG_PRT4_AG
#define SCP_input__AMUX CYREG_PRT4_AMUX
#define SCP_input__BIE CYREG_PRT4_BIE
#define SCP_input__BIT_MASK CYREG_PRT4_BIT_MASK
#define SCP_input__BYP CYREG_PRT4_BYP
#define SCP_input__CTL CYREG_PRT4_CTL
#define SCP_input__DM0 CYREG_PRT4_DM0
#define SCP_input__DM1 CYREG_PRT4_DM1
#define SCP_input__DM2 CYREG_PRT4_DM2
#define SCP_input__DR CYREG_PRT4_DR
#define SCP_input__INP_DIS CYREG_PRT4_INP_DIS
#define SCP_input__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define SCP_input__LCD_EN CYREG_PRT4_LCD_EN
#define SCP_input__PORT 4
#define SCP_input__PRT CYREG_PRT4_PRT
#define SCP_input__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define SCP_input__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define SCP_input__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define SCP_input__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define SCP_input__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define SCP_input__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define SCP_input__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define SCP_input__PS CYREG_PRT4_PS
#define SCP_input__SLW CYREG_PRT4_SLW

/* SCP_reset */
#define SCP_reset__0__MASK 0x20u
#define SCP_reset__0__PC CYREG_IO_PC_PRT15_PC5
#define SCP_reset__0__PORT 15
#define SCP_reset__0__SHIFT 5
#define SCP_reset__AG CYREG_PRT15_AG
#define SCP_reset__AMUX CYREG_PRT15_AMUX
#define SCP_reset__BIE CYREG_PRT15_BIE
#define SCP_reset__BIT_MASK CYREG_PRT15_BIT_MASK
#define SCP_reset__BYP CYREG_PRT15_BYP
#define SCP_reset__CTL CYREG_PRT15_CTL
#define SCP_reset__DM0 CYREG_PRT15_DM0
#define SCP_reset__DM1 CYREG_PRT15_DM1
#define SCP_reset__DM2 CYREG_PRT15_DM2
#define SCP_reset__DR CYREG_PRT15_DR
#define SCP_reset__INP_DIS CYREG_PRT15_INP_DIS
#define SCP_reset__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define SCP_reset__LCD_EN CYREG_PRT15_LCD_EN
#define SCP_reset__MASK 0x20u
#define SCP_reset__PORT 15
#define SCP_reset__PRT CYREG_PRT15_PRT
#define SCP_reset__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define SCP_reset__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define SCP_reset__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define SCP_reset__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define SCP_reset__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define SCP_reset__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define SCP_reset__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define SCP_reset__PS CYREG_PRT15_PS
#define SCP_reset__SHIFT 5
#define SCP_reset__SLW CYREG_PRT15_SLW

/* Clock_5 */
#define Clock_5__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define Clock_5__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define Clock_5__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define Clock_5__CFG2_SRC_SEL_MASK 0x07u
#define Clock_5__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_5__PM_ACT_MSK 0x02u
#define Clock_5__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_5__PM_STBY_MSK 0x02u

/* Clock_6 */
#define Clock_6__CFG0 CYREG_CLKDIST_ACFG0_CFG0
#define Clock_6__CFG1 CYREG_CLKDIST_ACFG0_CFG1
#define Clock_6__CFG2 CYREG_CLKDIST_ACFG0_CFG2
#define Clock_6__CFG2_SRC_SEL_MASK 0x07u
#define Clock_6__CFG3 CYREG_CLKDIST_ACFG0_CFG3
#define Clock_6__CFG3_PHASE_DLY_MASK 0x0Fu
#define Clock_6__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define Clock_6__PM_ACT_MSK 0x01u
#define Clock_6__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define Clock_6__PM_STBY_MSK 0x01u

/* LED */
#define LED__0__MASK 0x01u
#define LED__0__PC CYREG_PRT0_PC0
#define LED__0__PORT 0
#define LED__0__SHIFT 0
#define LED__AG CYREG_PRT0_AG
#define LED__AMUX CYREG_PRT0_AMUX
#define LED__BIE CYREG_PRT0_BIE
#define LED__BIT_MASK CYREG_PRT0_BIT_MASK
#define LED__BYP CYREG_PRT0_BYP
#define LED__CTL CYREG_PRT0_CTL
#define LED__DM0 CYREG_PRT0_DM0
#define LED__DM1 CYREG_PRT0_DM1
#define LED__DM2 CYREG_PRT0_DM2
#define LED__DR CYREG_PRT0_DR
#define LED__INP_DIS CYREG_PRT0_INP_DIS
#define LED__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define LED__LCD_EN CYREG_PRT0_LCD_EN
#define LED__MASK 0x01u
#define LED__PORT 0
#define LED__PRT CYREG_PRT0_PRT
#define LED__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define LED__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define LED__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define LED__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define LED__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define LED__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define LED__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define LED__PS CYREG_PRT0_PS
#define LED__SHIFT 0
#define LED__SLW CYREG_PRT0_SLW

/* Miscellaneous */
/* -- WARNING: define names containting LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_BOOTLOADER_IO_COMP_CUSTOM_IO 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3
#define CYDEV_CHIP_MEMBER_3A 1
#define CYDEV_CHIP_FAMILY_PSOC3 1
#define CYDEV_CHIP_DIE_LEOPARD 1
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_LEOPARD
#define CYDEV_BOOTLOADER_CHECKSUM_BASIC 0
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_APPLICATION_ID 0x0000
#define CYDEV_APPLICATION_VERSION 0x0000
#define CYDEV_BOOTLOADER_CHECKSUM CYDEV_BOOTLOADER_CHECKSUM_BASIC
#define CYDEV_BOOTLOADER_CHECKSUM_CRC 1
#define CYDEV_BOOTLOADER_FAST_VERIFY 0
#define CYDEV_BOOTLOADER_VERSION 0x0000
#define CYDEV_BOOTLOADER_WAIT_COMMAND 1
#define CYDEV_BOOTLOADER_WAIT_TIME 200
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_PANTHER 2
#define CYDEV_CHIP_DIE_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_PSOC4 2
#define CYDEV_CHIP_FAMILY_PSOC5 3
#define CYDEV_CHIP_FAMILY_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC3
#define CYDEV_CHIP_JTAG_ID 0x1E028069
#define CYDEV_CHIP_MEMBER_5A 2
#define CYDEV_CHIP_MEMBER_UNKNOWN 0
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_3A
#define CYDEV_CHIP_REVISION_3A_ES1 0
#define CYDEV_CHIP_REVISION_3A_ES2 1
#define CYDEV_CHIP_REVISION_3A_ES3 3
#define CYDEV_CHIP_REVISION_5A_ES0 0
#define CYDEV_CHIP_REVISION_5A_ES1 1
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_3A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_LEOPARD_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0
#define CYDEV_CHIP_REV_LEOPARD_ES2 1
#define CYDEV_CHIP_REV_LEOPARD_ES3 3
#define CYDEV_CHIP_REV_PANTHER_ES0 0
#define CYDEV_CHIP_REV_PANTHER_ES1 1
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1
#define CYDEV_CONFIGURATION_CLEAR_SRAM 1
#define CYDEV_CONFIGURATION_COMPRESSED 0
#define CYDEV_CONFIGURATION_DMA 1
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_DMA
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_FORCE_ROUTE 0
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CUSTOM_ID 0x00000000
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x01
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DMA_CHANNELS_AVAILABLE 24
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define CyBtldr_Custom_Interface CYDEV_BOOTLOADER_IO_COMP_CUSTOM_IO
#define CyMHz_CLK__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define CyMHz_CLK__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define CyMHz_CLK__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define CyMHz_CLK__CFG2_SRC_SEL_MASK 0x07u
#define CyMHz_CLK__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define CyMHz_CLK__PM_ACT_MSK 0x01u
#define CyMHz_CLK__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define CyMHz_CLK__PM_STBY_MSK 0x01u
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
