/* ========================================
 *
 * Honeywell S&C, 20FEB2012
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#ifndef MOVAVG_C
#define MOVAVG_C

extern uint16 counter_countVal;

uint16 MovAvg()
{
	#define BUFLEN 3
	static uint16 buffer[BUFLEN];
	static uint8 ptr, i;
	uint16 accum;
		/* assign read values to buffer array, replacing oldest value */
	ptr = 0;
	buffer[ptr] = counter_countVal;
	ptr++;
	if(ptr = BUFLEN) ptr = 0;
		/* perform averaging of read values */
	accum = buffer[0];
	i = 0;
	while (i < BUFLEN)
	{
		accum += buffer[i];
		i++;
		accum /= BUFLEN;
	}
	if(i = BUFLEN) 
	{
		accum = buffer[0]+buffer[1]+buffer[2];	
		return accum / BUFLEN;
	}
}


/* [] END OF FILE */
